List outbound WhatsApp send history
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/sends \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/sends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/sends"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"text_sha256": "<string>",
"text_length": 123,
"media_count": 123,
"media_urls": [
"<string>"
],
"recipient_count": 123,
"status": "queued",
"source_type": "<string>",
"requested_at_ms": 123,
"updated_at_ms": 123,
"text": "<string>",
"client_idempotency_key": "<string>",
"completed_at_ms": 123,
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_type": "group",
"status": "queued",
"requested_at_ms": 123,
"updated_at_ms": 123,
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "<string>",
"recipient_label": "<string>",
"waha_message_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"completed_at_ms": 123,
"failed_at_ms": 123
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}outbound
List outbound WhatsApp send history
Reads projected outbound send audit rows including stored body/media context and per-recipient delivery state.
GET
/
v2
/
outbound
/
sends
List outbound WhatsApp send history
curl --request GET \
--url https://api-v2.watchcollect.com/v2/outbound/sends \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-v2.watchcollect.com/v2/outbound/sends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/outbound/sends"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actor_user_id": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_name": "<string>",
"session_label": "<string>",
"text_sha256": "<string>",
"text_length": 123,
"media_count": 123,
"media_urls": [
"<string>"
],
"recipient_count": 123,
"status": "queued",
"source_type": "<string>",
"requested_at_ms": 123,
"updated_at_ms": 123,
"text": "<string>",
"client_idempotency_key": "<string>",
"completed_at_ms": 123,
"recipients": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_type": "group",
"status": "queued",
"requested_at_ms": 123,
"updated_at_ms": 123,
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_id": "<string>",
"recipient_label": "<string>",
"waha_message_id": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"completed_at_ms": 123,
"failed_at_ms": 123
}
]
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 200